scim_panel_agent.h File Reference

Defines scim::PanelAgent and their related types. More...

`#include <scim_panel_common.h>`

## Classes

class | scim::PanelAgent
| The class to implement all socket protocol in Panel. More...

## Namespaces

namespace | scim

## Typedefs

typedef Slot0< void > | scim::PanelAgentSlotVoid
typedef Slot1< void, int > | scim::PanelAgentSlotInt
typedef Slot1< void, const String & > | scim::PanelAgentSlotString
typedef Slot1< void, const PanelFactoryInfo & > | scim::PanelAgentSlotFactoryInfo
typedef Slot1< void, const std::vector< PanelFactoryInfo > & > | scim::PanelAgentSlotFactoryInfoVector
typedef Slot1< void, const LookupTable & > | scim::PanelAgentSlotLookupTable
typedef Slot1< void, const Property & > | scim::PanelAgentSlotProperty
typedef Slot1< void, const PropertyList & > | scim::PanelAgentSlotPropertyList
typedef Slot2< void, int, int > | scim::PanelAgentSlotIntInt
typedef Slot2< void, int, const Property & > | scim::PanelAgentSlotIntProperty
typedef Slot2< void, int, const PropertyList & > | scim::PanelAgentSlotIntPropertyList
typedef Slot2< void, int, const HelperInfo & > | scim::PanelAgentSlotIntHelperInfo
typedef Slot2< void, const String &, const AttributeList & > | scim::PanelAgentSlotAttributeString

## Detailed Description

Defines scim::PanelAgent and their related types.

scim::PanelAgent is a class used to write Panel daemons. It acts like a Socket Server and handles all socket clients issues.